/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Test_GBFIR_Utils;

import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

/**
 *
 * @author andrea
 */
public class FirFileFilter extends FileFilter {

    //Accept all directories and fir-iso and fir-ansi files.
    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }

        String extension = Utils.getExtension(f);
        if (extension != null) {
            if (extension.equals(Utils.fir_ansi) ||
                extension.equals(Utils.fir_iso)) {
                    return true;
            } else {
                return false;
            }
        }

        return false;
    }

    //The description of this filter
    public String getDescription() {
        return "FIR ISO and ANSI records";
    }
}
