/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package GBAN2K_2011_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class An2k2011_AmputatedBandagedCodeStruct  extends Structure {

    public int FrictionRidgePosition;
    
    /**
     * represents the "AmpBandCode" field of the corresponding
     * structure in C library. It's given as a byte array (C "char *" type).
     * In order to retrieve its value use the constructor
     * 
     * String(byte[] bytes, String CharsetName)
     * 
     * constructor, specifying "US-ASCII" as charset.
     * In order to set it from a string, use the
     * 
     * String.getBytes(String CharsetName)
     * 
     * function, specifying "US-ASCII" as charset.
     */
    public byte[] AmpBandCodeInBytes;
    
    public void SetValues(int frp, String abc) {
        FrictionRidgePosition = frp;

        try {
            AmpBandCodeInBytes = abc.getBytes("US-ASCII");
        } catch (Exception ex) {

        }
    }

    public An2k2011_AmputatedBandagedCodeStruct(int frp, String abc) {
        this();
        this.SetValues(frp, abc);
    }

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }

    public An2k2011_AmputatedBandagedCodeStruct() {
        super();
        setAlignType(ALIGN_NONE);
        FrictionRidgePosition = 0;

        AmpBandCodeInBytes = new byte[10];
    }

    public An2k2011_AmputatedBandagedCodeStruct(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        setAlignType(ALIGN_NONE);
        useMemory(p);
        read();
    }

}
