/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_2011_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class An2k2011_FingerSegmentPositionStruct extends Structure {

    public int FrictionRidgePosition;
    public int LeftHorizontalCoordinate;
    public int RightHorizontalCoordinate;
    public int TopVerticalCoordinate;
    public int BottomVerticalCoordinate;

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }

    public void SetValues(int frp, int lhc, int rhc, int tvc, int bvc) {
        FrictionRidgePosition = frp;
        LeftHorizontalCoordinate = lhc;
        RightHorizontalCoordinate = rhc;
        TopVerticalCoordinate = tvc;
        BottomVerticalCoordinate = bvc;
    }

    public An2k2011_FingerSegmentPositionStruct(int frp, int lhc, int rhc, int tvc, int bvc) {
        this();
        this.SetValues(frp, lhc, rhc, tvc, bvc);
    }

    public An2k2011_FingerSegmentPositionStruct() {
        super();
        setAlignType(ALIGN_NONE);
        FrictionRidgePosition = 0;
        LeftHorizontalCoordinate = 0;
        RightHorizontalCoordinate = 0;
        TopVerticalCoordinate = 0;
        BottomVerticalCoordinate = 0;
    }

    public An2k2011_FingerSegmentPositionStruct(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        setAlignType(ALIGN_NONE);
        useMemory(p);
        read();
    }

}
