/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_2011_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class An2k2011_PointOffsetStruct extends Structure {

    public int HorizontalPointOffset;
    public int VerticalPointOffset;
    
    public static class ByReference extends An2k2011_PointOffsetStruct implements Structure.ByReference {}

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }

    public An2k2011_PointOffsetStruct() {
        super();
        setAlignType(ALIGN_NONE);
        HorizontalPointOffset = 0;
        VerticalPointOffset = 0;
    }
    
    public void SetValues(int hpo, int vpo) {
        HorizontalPointOffset = hpo;
        VerticalPointOffset = vpo;
    }

    public An2k2011_PointOffsetStruct(int hpo, int vpo) {
        this();
        SetValues(hpo, vpo);
    }

    public An2k2011_PointOffsetStruct(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        useMemory(p);
        read();
    }

    public An2k2011_PointOffsetStruct(Pointer p, int offset) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        useMemory(p, offset);
        read();
    }

}
