/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_2011_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class An2k2011_PrintPositionCoordinatesStruct extends Structure {

    /**
     * represents the "FullFingerView" field of the corresponding structure in C
     * library. It's given as a byte array (C "char *" type). In order to
     * retrieve its value use the constructor
     *
     * String(byte[] bytes, String CharsetName)
     *
     * constructor, specifying "US-ASCII" as charset. In order to set it from a
     * string, use the
     *
     * String.getBytes(String CharsetName)
     *
     * function, specifying "US-ASCII" as charset.
     */
    public byte[] FullFingerViewInBytes;
    /**
     * represents the "LocationOfASegment" field of the corresponding structure
     * in C library. It's given as a byte array (C "char *" type). In order to
     * retrieve its value use the constructor
     *
     * String(byte[] bytes, String CharsetName)
     *
     * constructor, specifying "US-ASCII" as charset. In order to set it from a
     * string, use the
     *
     * String.getBytes(String CharsetName)
     *
     * function, specifying "US-ASCII" as charset.
     */
    public byte[] LocationOfASegmentInBytes;

    public int LeftHorizontalCoordinate;
    public int RightHorizontalCoordinate;
    public int TopVerticalCoordinate;
    public int BottomVerticalCoordinate;
    
    public void SetValues(String ffv, String ls, int lhc, int rhc, int tvc, int bvc) {
        LeftHorizontalCoordinate = lhc;
        RightHorizontalCoordinate = rhc;
        TopVerticalCoordinate = tvc;
        BottomVerticalCoordinate = bvc;

        try {
            FullFingerViewInBytes = ffv.getBytes("US-ASCII");
            LocationOfASegmentInBytes = ls.getBytes("US-ASCII");
        } catch (Exception ex) {

        }
    }

    public An2k2011_PrintPositionCoordinatesStruct(String ffv, String ls, int lhc, int rhc, int tvc, int bvc) {
        this();
        this.SetValues(ffv, ls, lhc, rhc, tvc, bvc);
    }

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }

    public An2k2011_PrintPositionCoordinatesStruct() {
        super();
        setAlignType(ALIGN_NONE);
        LeftHorizontalCoordinate = 0;
        RightHorizontalCoordinate = 0;
        TopVerticalCoordinate = 0;
        BottomVerticalCoordinate = 0;

        FullFingerViewInBytes = new byte[10];
        LocationOfASegmentInBytes = new byte[10];
    }

    public An2k2011_PrintPositionCoordinatesStruct(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        setAlignType(ALIGN_NONE);
        useMemory(p);
        read();
    }

}
