/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_2011_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class An2k2011_PrintPositionDescriptorsStruct extends Structure {

    public int DecimalFingerPosition;
    /**
     * represents the "FingerImageCode" field of the corresponding structure in
     * C library. It's given as a byte array (C "char *" type). In order to
     * retrieve its value use the constructor
     *
     * String(byte[] bytes, String CharsetName)
     *
     * constructor, specifying "US-ASCII" as charset. In order to set it from a
     * string, use the
     *
     * String.getBytes(String CharsetName)
     *
     * function, specifying "US-ASCII" as charset.
     */
    public byte[] FingerImageCodeInBytes;

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }

    public An2k2011_PrintPositionDescriptorsStruct() {
        super();
        setAlignType(ALIGN_NONE);
        DecimalFingerPosition = 0;
        FingerImageCodeInBytes = new byte[10];
    }

    public An2k2011_PrintPositionDescriptorsStruct(int dfp, String fic) {
        this();
        DecimalFingerPosition = dfp;
        try {
            byte [] app = fic.getBytes("US-ASCII");
            System.arraycopy(app, 0, FingerImageCodeInBytes, 0, fic.length());
            FingerImageCodeInBytes[fic.length()] = 0;
        } catch (Exception ex) {

        }
    }

    public An2k2011_PrintPositionDescriptorsStruct(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        setAlignType(ALIGN_NONE);
        useMemory(p);
        read();
    }

}
