/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_JAVA_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class GBAN2K_FourFingersBoundsStructure extends Structure {

    public int num_fingers;
    public Pointer fingers; // GBAN2K_FingerSegment **

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }
    
    public GBAN2K_FourFingersBoundsStructure()
    {
        super();
    }

     /**
     * 
     * @param p NB: use the free_FOUR_FING_BOUND() function on p,
     * not on the structure created with this function
     */
    public GBAN2K_FourFingersBoundsStructure(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        int offset = 0;
        this.num_fingers = p.getInt(offset);
        offset += 4;
        this.fingers = p.getPointer(offset);
    }
}
