/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_JAVA_Structures;

import com.sun.jna.Pointer;
import com.sun.jna.Structure;
import static com.sun.jna.Structure.ALIGN_NONE;

/**
 *
 * @author andrea
 */
public class GBAN2K_ItemStructure extends Structure {

    public int num_bytes;
    public int num_chars;
    public int alloc_chars;
    public Pointer value;
    public int us_char;

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }

    public GBAN2K_ItemStructure() {
        super();
        setAlignType(ALIGN_NONE);
        num_bytes = 0;
        num_chars = 0;
        alloc_chars = 0;
        value = null;
        us_char = 0;
    }

    public GBAN2K_ItemStructure(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        useMemory(p);
        read();
    }
    
    public String getVal()
    {
        String ret = value.getString(0,false);
        return ret;
    }
}
