/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_JAVA_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class GBAN2K_RecordListStructure extends Structure {

    public int num_records;
    public Pointer records; // RECORD **

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }
    
    public GBAN2K_RecordListStructure()
    {
        super();
        num_records = 0;
        records = Pointer.NULL;
    }

    /**
     * 
     * @param p NB: use the free_ANSI_NIST_record_list() function on p,
     * not on the structure created with this function
     */
    public GBAN2K_RecordListStructure(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        useMemory(p);
        read();
    }
}
