/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_JAVA_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class GBAN2K_RecordStructure extends Structure {

    public int type; // uint
    public int total_bytes;
    public int num_bytes;
    public int num_fields;
    public int alloc_fields;
    public Pointer fields; // FIELD **
    int fs_char;

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }
    
    public GBAN2K_RecordStructure()
    {
        super();
        setAlignType(ALIGN_NONE);
        type = 0;
        total_bytes = 0;
        num_bytes = 0;
        num_fields = 0;
        alloc_fields = 0;
        fields = Pointer.NULL;
        fs_char = 0;
    }

    public GBAN2K_RecordStructure(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        useMemory(p);
        read();
    }
    
    public GBAN2K_FieldStructure [] GetFieldsArray()
    {
        if (fields == null) return null;
        Pointer[] myp = (Pointer[])(fields.getPointerArray(0,num_fields));
        GBAN2K_FieldStructure[] ret = new GBAN2K_FieldStructure[num_fields];
        for (int i = 0; i < num_fields; i++)
        {
            ret[i] = new GBAN2K_FieldStructure(myp[i]);
        }
        return ret;
    }
}
