#ifndef THRESHOLDPROGRESSBAR_H
#define THRESHOLDPROGRESSBAR_H

#include <QtGui>

class QThresholdProgressBar: public QWidget
{
public:
    QThresholdProgressBar(QWidget *parent);
    void SetThresholds(int Th1, int Th2);
    void SetValue(int Val);
    void SetMaxValue(int Val);

protected:
    void paintEvent ( QPaintEvent * event );

private:
    int Threshold1;
    int Threshold2;
    int Value;
    int MaxValue;
};

#endif // THRESHOLDPROGRESSBAR_H
