/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBMSAPI_JAVA_LibraryFunctions;

import com.sun.jna.win32.StdCallLibrary.StdCallCallback;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public interface GBMSAPI_JAVA_AcquisitionEventsManagerCallbackInterface extends StdCallCallback {

    /**
     * Callback that is called when an event (specified by the <EventInfo>
     * parameter) occurs during acquisition.
     * @param OccurredEventCode
	 * Native is an unsigned int32
	 * see point (1) of ReadME.txt file
     * @param GetFrameErrorCode
     * @param EventInfo
	 * Native is an unsigned int32
	 * see point (1) of ReadME.txt file
     * @param FramePtr
     * @param FrameSizeX
     * @param FrameSizeY
     * @param CurrentFrameRate
     * @param NominalFrameRate
     * @param GB_Diagnostic
	 * Native is an unsigned int32
	 * see point (1) of ReadME.txt file
     * @param UserDefinedParameters
     * @return
     * Native is a boolean
     * see point (3) of ReadME.txt file
     */
    int invoke(
	    int OccurredEventCode,
	    int GetFrameErrorCode,
	    int EventInfo,
	    Pointer FramePtr,
	    int FrameSizeX,
	    int FrameSizeY,
	    double CurrentFrameRate,
	    double NominalFrameRate,
	    int GB_Diagnostic,
	    Pointer UserDefinedParameters);
}