/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package GBAN2K_2011_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;
import GBAN2K_2011_Structures.An2k2011_PointOffsetStruct;

/**
 *
 * @author andrea
 */
public class An2k2011_AlternateSegmentPositionStruct extends Structure{
    public int FrictionRidgePosition;
    public int NumberOfPoints;
    public An2k2011_PointOffsetStruct.ByReference PointsArrayAsPointer; // An2k2011_PointOffsetStruct *

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }

    public void SetValues(int frp, An2k2011_PointOffsetStruct.ByReference pa, int nop) {
        FrictionRidgePosition = frp;
        NumberOfPoints = nop;
        PointsArrayAsPointer = pa;
    }

    public An2k2011_AlternateSegmentPositionStruct(int frp, An2k2011_PointOffsetStruct.ByReference pa, int nop) {
        this();
        this.SetValues(frp, pa, nop);
    }

    public An2k2011_AlternateSegmentPositionStruct() {
        super();
        setAlignType(ALIGN_NONE);
        FrictionRidgePosition = 0;
        NumberOfPoints = 0;
        PointsArrayAsPointer = null;
    }

    public An2k2011_AlternateSegmentPositionStruct(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        useMemory(p);
        read();
    }
    
    public An2k2011_PointOffsetStruct[] GetPointsFromPointsArray()
    {
        if (PointsArrayAsPointer == null) return null;
        
        An2k2011_PointOffsetStruct[] ret = (An2k2011_PointOffsetStruct[])PointsArrayAsPointer.toArray(NumberOfPoints);
        
        return ret;
    }
    
}
