/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_2011_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class An2k2011_FingerOrSegmentQualityMetricStruct extends Structure {

    public int FrictionRidgePosition;
    public int Quality;
    public int AlgorithmVendorId;
    public int AlgorithmProductId;

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }

    public void SetValues(int frp, int q, int avi, int api) {
        FrictionRidgePosition = frp;
        Quality = q;
        AlgorithmVendorId = avi;
        AlgorithmProductId = api;
    }

    public An2k2011_FingerOrSegmentQualityMetricStruct(int frp, int q, int avi, int api) {
        this();
        this.SetValues(frp, q, avi, api);
    }

    public An2k2011_FingerOrSegmentQualityMetricStruct() {
        super();
        setAlignType(ALIGN_NONE);
        FrictionRidgePosition = 0;
        AlgorithmVendorId = 0;
        AlgorithmProductId = 0;
        Quality = 0;
    }

    public An2k2011_FingerOrSegmentQualityMetricStruct(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        setAlignType(ALIGN_NONE);
        useMemory(p);
        read();
    }

}
