/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBJPEG_JAVA_Functions;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Pointer;
import com.sun.jna.NativeLong;
import com.sun.jna.ptr.IntByReference;
import com.sun.jna.ptr.ByteByReference;
import com.sun.jna.ptr.PointerByReference;
import com.sun.jna.ptr.DoubleByReference;
import com.sun.jna.ptr.FloatByReference;
import com.sun.jna.ptr.ShortByReference;
import com.sun.jna.WString;
import java.nio.ByteBuffer;

/**
 *
 * @author andrea
 */
public class GBJPEG_DllWrapper {

    public interface GBJPEG_Library extends Library {

        GBJPEG_Library INSTANCE =
                (GBJPEG_Library) Native.loadLibrary("GBJPEG", GBJPEG_Library.class);

        int GBJPEG_JP2_Encode(
                Pointer ImgBuffer, // unsigned char **
                IntByReference BuffLen, // unsigned long *
                byte[] RawImage,
                int ImageWidth, // unsigned long
                int ImageHeight, // unsigned long
                byte BitsPerPixel,
                short Rate// unsigned short 
                );

        int GBJPEG_JP2_Decode(byte[] ImgBuffer,
                int BuffLen, // unsigned long 
                Pointer RawImage, // unsigned char **
                IntByReference ImageWidth, // unsigned long *
                IntByReference ImageHeight, // unsigned long *
                ByteByReference BitsPerPixel // unsigned char *
                );

        int GBJPEG_JPG_Encode(
                Pointer ImgBuffer, // unsigned char **
                IntByReference BuffLen, // unsigned long *
                byte[] RawImage,
                int ImageWidth, // unsigned long
                int ImageHeight, // unsigned long
                byte BitsPerPixel,
                short DPI,// unsigned short 
                short Q // unsigned short 
                );

        int GBJPEG_JPG_Decode(byte[] ImgBuffer,
                int BuffLen, // unsigned long 
                Pointer RawImage, // unsigned char **
                IntByReference ImageWidth, // unsigned long *
                IntByReference ImageHeight, // unsigned long *
                ByteByReference BitsPerPixel // unsigned char *
                );
        
        void GBJPEG_Free(Pointer Ptr);
    }
}
