/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBLFS_JAVA_Defines;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class GBLFS_MinutiaeList extends Structure {

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }

    public GBLFS_MinutiaeList(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        useMemory(p);
        read();
    }

    public GBLFS_MinutiaeList() {
        super();
        setAlignType(ALIGN_NONE);
        alloc = 0;
        num = 0;
        list = Pointer.NULL;
    }
    /**
     * Number of
     *
     * @see GBLFS_Minutia records allocated
     */
    public int alloc;
    /**
     * Actual number of
     *
     * @see GBLFS_Minutia records contained in list.
     */
    public int num;
    /**
     * this is a list of native pointers to
     *
     * @see GBLFS_Minutia Its size is
     * @see GBLFS_MinutiaeList.alloc and number of valid records is
     * @see GBLFS_MinutiaeList.num.
     */
    public Pointer list;
}
