#ifndef CLICKABLELABEL_H
#define CLICKABLELABEL_H

#include <QObject>
#include <QtGui>

class QClickableLabel : public QLabel
{
    Q_OBJECT
public:
    explicit QClickableLabel(QWidget *parent = 0, Qt::WindowFlags f=0);
    ~QClickableLabel();

protected:
    void mouseReleaseEvent ( QMouseEvent *event );

signals:
    void Clicked();

public slots:

};

#endif // CLICKABLELABEL_H
