#ifndef FRAMEITEM_H
#define FRAMEITEM_H

#include <QGraphicsPixmapItem>
#include <QtGui>

class QFrameItem : public QGraphicsPixmapItem
{
private:
    QImage Image;
    QPainterPath MarkerPath;
	QSize DrawSize;
	bool DrawScaled;

public:
    QFrameItem();
    void paint ( QPainter * painter, const QStyleOptionGraphicsItem * option, QWidget * widget = 0 );
	void SetSize(QSize Size);
    void SetImage(QImage Image);
    void ClearImage();
    void SetMarkerPath(QPainterPath path);
    QRectF boundingRect() const;
};

#endif // FRAMEITEM_H
